# MxPropertyLockedEnum Enumeration

Namespace: `ArchestrA.Toolkit`

**Syntax**

```csharp
enum MxPropertyLockedEnum
{
MxUndefinedLockedStatus = -1,
MxUnLocked = 0,
MxLockedInMe = 1,
MxLockedInParent = 2,
MxPropertyLockedEnumEND = 3,
}
```

**Remarks**

This enumeration indicates the lock status of an attribute in a package. Attributes that are MxUnLocked and MxLockedInMe can be modified in the package, whereas attributes that are MxLockedInParent cannot be modified in the package.
